# Environmental Impact


<style>
  span[class^="pill-"] {
    color: white;
    padding: 2px 12px;
    border-radius: 12px;
    font-size: 0.6em;
    vertical-align: middle;
    margin-right: 12px;
    font-family: sans-serif;
    font-weight: bold;
    display: inline-block;
    line-height: 1;
  }
  span.pill-GET { background-color: #61affe; }
  span.pill-POST { background-color: #49cc90; }
  span.pill-PUT { background-color: #fca130; }
  span.pill-DELETE { background-color: #f93e3e; }
  span.pill-PATCH { background-color: #50e3c2; }
  span[class^="pill-"]:after {
    content: attr(data-label);
    font-size: 0.9rem;
  }
</style>

View the impact of your past usage, and estimate the impact of future usage.

[Read more](https://www.exoscale.com/sustainability/)


---

## Other Operations

## <span data-label="POST" class="pill-POST"></span>get-impact-estimate

[BETA] Get an estimate of the impact of using products

```
POST /environmental-impact/estimate
```

[BETA] Returns an estimate of the impact of a unit of usage of one or more products, e.g. the impact of using a standard medium instance for one hour in ch-gva-2

### Request body

Content-Type: `application/json`

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `sku` | string | **yes** | Product SKU, e.g. compute:ch-gva-2:instance:standard:medium; can also include wildcards, e.g. compute:*:instance:standard:* for all standard instances in all zones |
| `metadata` | object | no |  |

<details>
<summary>Example</summary>

```json
{
  "metadata": {},
  "sku": "string"
}
```
</details>


### Responses

**`200`**: Impact estimate

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `impact` | object | Map of SKUs to their different impact indicators |

<details>
<summary>Example output</summary>

```json
{
  "impact": {}
}
```
</details>

**`400`**: Invalid request (e.g. product does not exist)

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `detail` | string |  |
| `status` | integer | Min: `100`. Max: `599`. |
| `title` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "detail": "string",
  "status": 0,
  "title": "string"
}
```
</details>

**`500`**: Internal server error

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `detail` | string |  |
| `status` | integer | Min: `100`. Max: `599`. |
| `title` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "detail": "string",
  "status": 0,
  "title": "string"
}
```
</details>


SDK reference for `get-impact-estimate`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetImpactEstimate) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_impact_estimate) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getImpactEstimate(com.exoscale.sdk.model.GetImpactEstimateRequest))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-impact-estimate`

## <span data-label="GET" class="pill-GET"></span>get-impact-report

[BETA] Get an environmental impact report

```
GET /environmental-impact/report
```

[BETA] Returns a breakdown of the impact of your organization's usage over the given period

### Query parameters

| Name | In | Required | Description |
| --- | --- | --- | --- |
| `from` | `query` | no |  |
| `to` | `query` | no |  |

### Responses

**`200`**: Environmental impact report

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `impact` | object |  |
| `zones` | object |  |

<details>
<summary>Example output</summary>

```json
{
  "impact": {},
  "zones": {}
}
```
</details>

**`400`**: Invalid request (e.g. to date before from date)

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `detail` | string |  |
| `status` | integer | Min: `100`. Max: `599`. |
| `title` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "detail": "string",
  "status": 0,
  "title": "string"
}
```
</details>

**`500`**: Internal server error

Content-Type: `application/json`

| Property | Type | Description |
| --- | --- | --- |
| `detail` | string |  |
| `status` | integer | Min: `100`. Max: `599`. |
| `title` | string |  |

<details>
<summary>Example output</summary>

```json
{
  "detail": "string",
  "status": 0,
  "title": "string"
}
```
</details>


SDK reference for `get-impact-report`: [golang](https://pkg.go.dev/github.com/exoscale/egoscale/v3#Client.GetImpactReport) | [Python](https://exoscale.github.io/python-exoscale/v2.html#exoscale.api.v2.Client.get_impact_report) | [Java](https://exoscale.github.io/exoscale-sdk-java/com/exoscale/sdk/api/ExoscaleApi.html#getImpactReport(java.lang.String,java.lang.String))

[CLI](https://community.exoscale.com/tools/command-line-interface/): `exo api get-impact-report`


